@import "./variables.scss";

@mixin from-min($size) {
  @media (min-width: #{$size}) {
    @content;
  }
}

@mixin from-max($size) {
  @media (max-width: #{$size}) {
    @content;
  }
}

@mixin from-in($min-size, $max-size) {
  @media (min-width: #{$min-size})  and (max-width: #{$max-size}) {
    @content;
  }
}

@mixin text-ellipsis {
  overflow: hidden;
  white-space: nowrap;
  text-overflow: ellipsis;
}
